LIST_FOR_EACH_EN(9)

NAME
list_for_each_entry_safe - iterate over list of given type safe against removal of list entry

SYNOPSIS

list_for_each_entry_safe (pos, n, head, member);

ARGUMENTS

pos the type * to use as a loop counter.

n   another type * to use as temporary storage

head
    the head for your list.

member
    the name of the list_struct within the struct.